List cloud flavors
GET
/v1/cloud_computing/regions/{region_id}/flavorsThis GET request sent to the /v1/cloud_computing/regions/{region_id}/flavors endpoint shows a list of available cloud flavors within a cloud region.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
region_id*string
A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.
Query Parameters
per_page?integer
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
Range
1 <= value <= 100Default
20page?integer
The number of a page (>= 1) that will be returned. By default, it's 1.
Range
1 <= valueDefault
1Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/cloud_computing/regions/0/flavors"[ { "id": "101", "name": "SSD.1", "disk": 1, "ram": 256, "vcpus": 1 }, { "id": "201", "name": "GPU.1", "disk": 1, "ram": 256, "vcpus": 1 }, { "id": "4", "name": "SSD.1", "disk": 1, "ram": 256, "vcpus": 1 }, { "id": "102", "name": "SSD.2", "disk": 2, "ram": 320, "vcpus": 1 }, { "id": "202", "name": "GPU.2", "disk": 2, "ram": 320, "vcpus": 1 }, { "id": "103", "name": "SSD.3", "disk": 3, "ram": 384, "vcpus": 1 }, { "id": "104", "name": "SSD.4", "disk": 4, "ram": 448, "vcpus": 1 }, { "id": "160", "name": "SSD.160", "disk": 100, "ram": 6144, "vcpus": 4 }]{ "message": "Region not found or not allowed", "code": "NOT_FOUND"}{ "message": "Region in maintenance mode", "code": "CLOUD_REGION_MAINTENANCE"}